summaryrefslogtreecommitdiff
path: root/.gitlab/ci.sh
diff options
context:
space:
mode:
Diffstat (limited to '.gitlab/ci.sh')
-rwxr-xr-x.gitlab/ci.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/.gitlab/ci.sh b/.gitlab/ci.sh
index bce606f679..b1283d9f56 100755
--- a/.gitlab/ci.sh
+++ b/.gitlab/ci.sh
@@ -608,6 +608,10 @@ function test_hadrian() {
install_bindist _build/bindist/ghc-*/ "$instdir"
echo 'main = putStrLn "hello world"' > expected
run "$test_compiler" -package ghc "$TOP/.gitlab/hello.hs" -o hello
+ # Despite "-o hello", ghc may output something like hello.exe or
+ # hello.wasm depending on the backend. For the time being let's
+ # just move it to hello before proceeding to running it.
+ mv hello.wasm hello || true
${CROSS_EMULATOR:-} ./hello > actual
run diff expected actual
elif [[ -n "${REINSTALL_GHC:-}" ]]; then